Subject: [quicwg/base-drafts] Editorial nits in quic-tls draft (#883)

From: martinduke <[email-masked]>
Date: Wed, 18 Oct 2017 00:05:15 +0000 (UTC)

Some things that were unclear when I tried to cleartext encryption from the -07 draft. I am more or less a TLS novice, so YMMV:

1) Section 5.2.1: For the cleartext secret, it would be useful to state quite clearly here that the connection ID is the "wire image" or "network order" version of connection ID; implementers should not change to host order, etc before calling HKDF-Extract.

2) Section 5.2.4: "the IV length is the larger of 8 or N_MIN (see section 4 of RFC 5116)".  This is super user-unfriendly. At a minimum, we should state that the N_MIN for AES_128_GCM (needed for cleartext) is 12 bytes. At best, we should just list the IV size for supported ciphers.

3) Section 5.3: "Prior to TLS providing keys, no record protection is performed and the plaintext, P, is transmitted unmodified." I believe this paragraph is obsolete.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/883

---

From: Martin Thomson <[email-masked]>
Date: Wed, 18 Oct 2017 03:25:37 +0000 (UTC)

The wire order thing is being hashed out in #833.  An opaque value can only ever be serialized one way, but if we decide that it's a number, then we will merge #881.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/883#issuecomment-337449801

---

From: Martin Thomson <[email-masked]>
Date: Wed, 18 Oct 2017 22:51:01 +0000 (UTC)

Closed #883 via #884.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/883#event-1300077942